IXP_SRV_GETFILE(3)

NAME

ixp_srv_getfile, IxpFileId

SYNOPSIS
  #include <ixp_srvutil.h>

  IxpFileId *ixp_srv_getfile(void);

  typedef struct IxpFileId        IxpFileId;
  struct IxpFileId {
          IxpFileId*      next;
          IxpFileIdU      p;
          bool            pending;
          uint            id;
          uint            index;
          IxpDirtab       tab;
          uint            nref;
          uchar           volatil;
  }

DESCRIPTION

Obtain an empty, reference counted IxpFileId struct.

SEE ALSO

ixp_srv_clonefiles(3), ixp_srv_freefile(3)